Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156370 - openoffice.org-1.1.2-24.2.0.EL3 broken on x86_64
Summary: openoffice.org-1.1.2-24.2.0.EL3 broken on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openoffice.org
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
: 156707 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 14:30 UTC by Jack Neely
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-12 15:57:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:428 normal SHIPPED_LIVE bonobo-activation bug fix update 2005-05-12 04:00:00 UTC

Description Jack Neely 2005-04-29 14:30:28 UTC
The recent openoffice errata (1.1.2-24.2.0.EL3) is broken on the x86_64
platform.  Its a packaging bug and its breaking up2date from keeping the system
updated.  So this is a complete show stopper.

openoffice (arch = i386 of course) requires bonobo-activation.  The x86_64
version of bonono-activation is already installed and up2date attempts to
install the i386 version.  The two versions have conflicting files.  up2date
refuses to install.

Comment 1 Dan Williams 2005-04-29 14:50:50 UTC
This update was originally intended to go out as the RHEL3 U5 update, but got
rolled into the security fix...  which was probably my fault.  Looking into how
to proceed...

RHEL3 U5 should be out in about 2 weeks which should fix the problem fully, but
we'll need an interim solution most likely.

Comment 2 Dan Williams 2005-04-29 15:04:42 UTC
bonobo-activation did get rebuilt in U5 for multilib issues, but I can't see
anything in particular in the specfile that would seem to fix the man file conflict.

Jack:
Can you paste in the up2date message that you get for the conflicting files?

Comment 3 Jack Neely 2005-04-29 15:17:37 UTC
[root@testing-1 root]# up2date -u
Invalid group id server-cfg
 
Fetching Obsoletes list for channel: rhel-x86_64-ws-3...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
openoffice.org                          1.1.2          24.2.0.EL3        i386
openoffice.org-i18n                     1.1.2          24.2.0.EL3        i386
openoffice.org-libs                     1.1.2          24.2.0.EL3        i386
 
 
Testing package set / solving RPM inter-dependencies...
########################################
RPM package conflict error.  The message was:
Test install failed because of package conflicts:
The following packages were added to your selection to satisfy dependencies:
Name                                    Version        Release
--------------------------------------------------------------
bonobo-activation                       2.2.2          1
gnome-vfs2                              2.2.5          2E.1
libbonobo                               2.2.3          1
 
file /usr/share/man/man1/bonobo-activation-server.1.gz from install of
bonobo-activation-2.2.2-1 conflicts with file from package bonobo-activation-2.2.2-1


Comment 4 Caolan McNamara 2005-05-03 17:45:27 UTC
*** Bug 156707 has been marked as a duplicate of this bug. ***

Comment 5 Dan Williams 2005-05-03 17:56:17 UTC
Relevant people know the details of the situation and are resolving it at this
time, most likely by pushing the U5 bonobo-activation RPMs early.

Comment 6 Jay Turner 2005-05-12 15:57:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-428.html



Note You need to log in before you can comment on or make changes to this bug.